
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #191

Keyboard focus is not updated properly after editing playlist

October 05, 2012 12:01 - Stephan Sokolow

Status: Closed Start date: October 05, 2012

Priority: Minor Due date:  

Assignee: John Lindgren % Done: 100%

Category: core Estimated time: 0.00 hour

Target version: 3.4   

Affects version: 3.3.1   

Description

If I reorder the playlist and then use Alt+Q to queue a song for playback, the new occupant of the song's old index in the playlist gets

queued, rather than the song I currently have selected.

Similarly, if I press the Up or Down arrow following a drag-and-drop, the new selected row will be relative to the old location rather

than the one which appears selected.

Selecting another track and then re-selecting the desired song (but not simply clicking on it while it's already selected) fixes the issue.

(I assume, because Alt+Q and arrow key motion uses some cached position value which is updated by some signal like

cursor-changed)

History

#1 - October 06, 2012 21:03 - John Lindgren

- Subject changed from Keyboard playlist manipulation is wrong following a drag-and-drop to Keyboard focus is not updated properly after editing

playlist

- Category set to core

- Assignee set to John Lindgren

- Target version set to 3.4

The problem is that there is not enough information sent along with the "playlist update" hook for the UI plugin to update the keyboard focus correctly

when items are added/moved/removed from the playlist.  It's a longstanding issue (at least since I rewrote the playlist code for version 2.2) and

unfortunately there isn't a quick fix for it.  I think the best fix is to keep track of the keyboard focus in core (as we already keep track of the selected

items).  This will require an API change, so it will not be fixed until version 3.4.

#2 - December 09, 2012 02:23 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100

https://github.com/audacious-media-player/audacious-plugins/commit/0d4d959e407b76f157e430b800d79bcf481b7d76
